IncidentFlow
Open app
API navigation

Get incident detail

GET
/api/v1/incidents/{incident_id}

Returns one incident from the authenticated workspace. Requires a personal API key with the incidents:read scope.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Personal API key with the incidents:read scope.

Path Parameters

incident_id*Incident Id

Incident identifier.

Response Body

Successful Response

application/json
  1. response
id*Id
workspace_id*Workspace Id
title*Title
status*Status
severity*Severity
source_kind*Source Kind
provider*Provider
provider_incident_key*Provider Incident Key
primary_fingerprint?string|null
primary_service_ref?string|null
environment?string|null
opened_at?|null
resolved_at?|null
last_event_at?|null
summary_current?string|null
metadata?
Example Request
curl --fail-with-body --silent --show-error \+  "${INCIDENTFLOW_API_BASE_URL:-https://api.incidentflow.io}/api/v1/incidents/${INCIDENTFLOW_INCIDENT_ID}" \+  -H "Authorization: Bearer ${INCIDENTFLOW_API_TOKEN}"
Example Response
{  "id": "11111111-1111-1111-1111-111111111111",  "workspace_id": "22222222-2222-2222-2222-222222222222",  "title": "API errors elevated",  "status": "active",  "severity": "sev2",  "source_kind": "external_status",  "provider": "github",  "provider_incident_key": "github:example",  "metadata": {}}